Page MenuHomePhabricator

Archive Contest extension
Closed, ResolvedPublic

Description

Seems abandoned, currently just a maintenance burden

To-do list

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project <#MediaWiki-extensions-Contest> as a tag for this task.
  • On-wiki documentation
    • Archive documentation on mediawiki.org (https://www.mediawiki.org/wiki/Extension:Contest): replace page contents with {{TNT|Archived extension|last revision id before archiving|reason=archive reasons, per [[phab:T205053]]}}; include a link to this task in the reason parameter.
    • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Archive Wikidata item associated with documentation page (https://www.wikidata.org/wiki/Q21676720) (remove nearly all statements, except instance of (P31) = MediaWiki extension (Q6805426), which should add a qualifier end time (P582) = the YYYY-MM-DD date that you decided to archive extension, generally per edit history, change English (and other languages if possible) description to "archived MediaWiki extension" (and its translation)).
  • Phabricator
    • Archive Phabricator project <#MediaWiki-extensions-Contest> for the extension.
    • Mark all Phabricator tasks for the extension either Declined or Invalid.
    • Edit Phabricator project <#MediaWiki-extensions-Contest> description for the extension with a link to this ticket.
  • Translatewiki.net/translations
    • Remove from translatewiki.net (groups/MediaWiki/mediawiki-extensions.txt / groups/MediaWiki/mediawiki-skins.txt) (add translatewiki.net project as a tag for this task).
  • Configuration/tests/integrations/etc.
  • Repositories

Event Timeline

Reedy created this task.Sep 21 2018, 2:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2018, 2:04 AM
MarcoAurelio moved this task from Backlog to delete on the GitHub-Mirrors board.Nov 9 2018, 6:51 PM
Zoranzoki21 added a subscriber: Zoranzoki21.

Taking my part.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptDec 31 2018, 4:24 AM
Zoranzoki21 updated the task description. (Show Details)Dec 31 2018, 4:29 AM

Change 481582 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[translatewiki@master] Remove Contest from mediawiki-extensions.txt file

https://gerrit.wikimedia.org/r/481582

Change 481583 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions@master] Archive Contest extension

https://gerrit.wikimedia.org/r/481583

Change 481584 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[integration/config@master] Archive Contest extension

https://gerrit.wikimedia.org/r/481584

Change 481585 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/Contest@master] Archive Contest extension

https://gerrit.wikimedia.org/r/481585

Zoranzoki21 removed Zoranzoki21 as the assignee of this task.Dec 31 2018, 5:09 AM
Zoranzoki21 updated the task description. (Show Details)
Zoranzoki21 moved this task from Inbox to Watching on the User-Zoranzoki21 board.

My part of job done, removing assign.

Change 481584 merged by jenkins-bot:
[integration/config@master] Archive Contest extension

https://gerrit.wikimedia.org/r/481584

hashar closed this task as Resolved.Dec 31 2018, 9:55 AM
hashar updated the task description. (Show Details)

Change 481583 merged by Umherirrender:
[mediawiki/extensions@master] Archive Contest extension

https://gerrit.wikimedia.org/r/481583

Change 481585 merged by Umherirrender:
[mediawiki/extensions/Contest@master] Archive Contest extension

https://gerrit.wikimedia.org/r/481585

Change 481582 merged by jenkins-bot:
[translatewiki@master] Remove Contest from mediawiki-extensions.txt file

https://gerrit.wikimedia.org/r/481582